#ifndef ATL_RESTRICT
#if defined(__STDC_VERSION__) && (__STDC_VERSION__/100 >= 1999)
   #define ATL_RESTRICT restrict
#else
   #define ATL_RESTRICT
#endif
#endif
#include "atlas_prefetch.h"

void ATL_cJIK80x80x80TN80x80x0_a1_b0
   (const int M, const int N, const int K, const float alpha, const float * ATL_RESTRICT A, const int lda, const float * ATL_RESTRICT B, const int ldb, const float beta, float * ATL_RESTRICT C, const int ldc)
/*
 * matmul with TA=T, TB=N, MB=80, NB=80, KB=80, 
 * lda=80, ldb=80, ldc=0, mu=4, nu=5, ku=20, pf=1
 * Generated by ATLAS/tune/blas/gemm/emit_mm.c (3.10.1)
 */
{
   const float *stM = A + 6400;
   const float *stN = B + 6400;
   const float *pfA = stM;
   const int incPFA0 = (((int)(stM - A))*4*5)/(80*80);
   const int incPFA = (1 > incPFA0) ? 1 : incPFA0;
   #define incAk 20
   const int incAm = 240, incAn = -6400;
   #define incBk 20
   const int incBm = -80, incBn = 400;
   #define incCm 8
   const int incCn = (((ldc) << 3)+((ldc) << 1)) - 160;
   float *pC0=C, *pC1=pC0+(((ldc) << 1)), *pC2=pC1+(((ldc) << 1)), *pC3=pC2+(((ldc) << 1)), *pC4=pC3+(((ldc) << 1));
   const float *pA0=A;
   const float *pB0=B;
   register int k;
   register float rA0, rA1, rA2, rA3;
   register float rB0, rB1, rB2, rB3, rB4;
   register float rC0_0, rC1_0, rC2_0, rC3_0, rC0_1, rC1_1, rC2_1, rC3_1, rC0_2, rC1_2, rC2_2, rC3_2, rC0_3, rC1_3, rC2_3, rC3_3, rC0_4, rC1_4, rC2_4, rC3_4;
   do /* N-loop */
   {
      do /* M-loop */
      {
         ATL_pfl1R(pfA);
         pfA += incPFA;
         rC0_0 = rC1_0 = rC2_0 = rC3_0 = rC0_1 = rC1_1 = rC2_1 = rC3_1 = rC0_2 = rC1_2 = rC2_2 = rC3_2 = rC0_3 = rC1_3 = rC2_3 = rC3_3 = rC0_4 = rC1_4 = rC2_4 = rC3_4 = 0.0;
         for (k=80; k; k -= 20) /* easy loop to unroll */
         {
            rA0 = *pA0;
            rB0 = *pB0;
            rA1 = pA0[80];
            rA2 = pA0[160];
            rA3 = pA0[240];
            rB1 = pB0[80];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[160];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[240];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[320];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[1];
            rB0 = pB0[1];
            rA1 = pA0[81];
            rA2 = pA0[161];
            rA3 = pA0[241];
            rB1 = pB0[81];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[161];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[241];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[321];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[2];
            rB0 = pB0[2];
            rA1 = pA0[82];
            rA2 = pA0[162];
            rA3 = pA0[242];
            rB1 = pB0[82];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[162];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[242];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[322];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[3];
            rB0 = pB0[3];
            rA1 = pA0[83];
            rA2 = pA0[163];
            rA3 = pA0[243];
            rB1 = pB0[83];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[163];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[243];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[323];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[4];
            rB0 = pB0[4];
            rA1 = pA0[84];
            rA2 = pA0[164];
            rA3 = pA0[244];
            rB1 = pB0[84];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[164];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[244];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[324];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[5];
            rB0 = pB0[5];
            rA1 = pA0[85];
            rA2 = pA0[165];
            rA3 = pA0[245];
            rB1 = pB0[85];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[165];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[245];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[325];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[6];
            rB0 = pB0[6];
            rA1 = pA0[86];
            rA2 = pA0[166];
            rA3 = pA0[246];
            rB1 = pB0[86];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[166];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[246];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[326];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[7];
            rB0 = pB0[7];
            rA1 = pA0[87];
            rA2 = pA0[167];
            rA3 = pA0[247];
            rB1 = pB0[87];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[167];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[247];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[327];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[8];
            rB0 = pB0[8];
            rA1 = pA0[88];
            rA2 = pA0[168];
            rA3 = pA0[248];
            rB1 = pB0[88];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[168];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[248];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[328];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[9];
            rB0 = pB0[9];
            rA1 = pA0[89];
            rA2 = pA0[169];
            rA3 = pA0[249];
            rB1 = pB0[89];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[169];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[249];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[329];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[10];
            rB0 = pB0[10];
            rA1 = pA0[90];
            rA2 = pA0[170];
            rA3 = pA0[250];
            rB1 = pB0[90];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[170];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[250];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[330];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[11];
            rB0 = pB0[11];
            rA1 = pA0[91];
            rA2 = pA0[171];
            rA3 = pA0[251];
            rB1 = pB0[91];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[171];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[251];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[331];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[12];
            rB0 = pB0[12];
            rA1 = pA0[92];
            rA2 = pA0[172];
            rA3 = pA0[252];
            rB1 = pB0[92];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[172];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[252];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[332];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[13];
            rB0 = pB0[13];
            rA1 = pA0[93];
            rA2 = pA0[173];
            rA3 = pA0[253];
            rB1 = pB0[93];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[173];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[253];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[333];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[14];
            rB0 = pB0[14];
            rA1 = pA0[94];
            rA2 = pA0[174];
            rA3 = pA0[254];
            rB1 = pB0[94];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[174];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[254];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[334];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[15];
            rB0 = pB0[15];
            rA1 = pA0[95];
            rA2 = pA0[175];
            rA3 = pA0[255];
            rB1 = pB0[95];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[175];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[255];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[335];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[16];
            rB0 = pB0[16];
            rA1 = pA0[96];
            rA2 = pA0[176];
            rA3 = pA0[256];
            rB1 = pB0[96];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[176];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[256];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[336];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[17];
            rB0 = pB0[17];
            rA1 = pA0[97];
            rA2 = pA0[177];
            rA3 = pA0[257];
            rB1 = pB0[97];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[177];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[257];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[337];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[18];
            rB0 = pB0[18];
            rA1 = pA0[98];
            rA2 = pA0[178];
            rA3 = pA0[258];
            rB1 = pB0[98];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[178];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[258];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[338];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            rA0 = pA0[19];
            rB0 = pB0[19];
            rA1 = pA0[99];
            rA2 = pA0[179];
            rA3 = pA0[259];
            rB1 = pB0[99];
            rC0_0 += rA0 * rB0;
            rB2 = pB0[179];
            rC1_0 += rA1 * rB0;
            rB3 = pB0[259];
            rC2_0 += rA2 * rB0;
            rB4 = pB0[339];
            rC3_0 += rA3 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC2_1 += rA2 * rB1;
            rC3_1 += rA3 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC2_2 += rA2 * rB2;
            rC3_2 += rA3 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC2_3 += rA2 * rB3;
            rC3_3 += rA3 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC2_4 += rA2 * rB4;
            rC3_4 += rA3 * rB4;
            pA0 += incAk;
            pB0 += incBk;
         }
         *pC0 = rC0_0;
         pC0[2] = rC1_0;
         pC0[4] = rC2_0;
         pC0[6] = rC3_0;
         *pC1 = rC0_1;
         pC1[2] = rC1_1;
         pC1[4] = rC2_1;
         pC1[6] = rC3_1;
         *pC2 = rC0_2;
         pC2[2] = rC1_2;
         pC2[4] = rC2_2;
         pC2[6] = rC3_2;
         *pC3 = rC0_3;
         pC3[2] = rC1_3;
         pC3[4] = rC2_3;
         pC3[6] = rC3_3;
         *pC4 = rC0_4;
         pC4[2] = rC1_4;
         pC4[4] = rC2_4;
         pC4[6] = rC3_4;
         pC0 += incCm;
         pC1 += incCm;
         pC2 += incCm;
         pC3 += incCm;
         pC4 += incCm;
         pA0 += incAm;
         pB0 += incBm;
      }
      while(pA0 != stM);
      pC0 += incCn;
      pC1 += incCn;
      pC2 += incCn;
      pC3 += incCn;
      pC4 += incCn;
      pA0 += incAn;
      pB0 += incBn;
   }
   while(pB0 != stN);
}
#ifdef incAm
   #undef incAm
#endif
#ifdef incAn
   #undef incAn
#endif
#ifdef incAk
   #undef incAk
#endif
#ifdef incBm
   #undef incBm
#endif
#ifdef incBn
   #undef incBn
#endif
#ifdef incBk
   #undef incBk
#endif
#ifdef incCm
   #undef incCm
#endif
#ifdef incCn
   #undef incCn
#endif
#ifdef incCk
   #undef incCk
#endif
#ifdef Mb
   #undef Mb
#endif
#ifdef Nb
   #undef Nb
#endif
#ifdef Kb
   #undef Kb
#endif
